%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Declare the endogenous variables in the model. 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
var
@# if cee > 1
bb,
cross_std,
dtil,
e,
eta,
gam,
gg,
Ntil,
Rdg,
Rdb,
Rg,
Rb,
risk,
Ttil,
vz,
fair,
leverage,
bankspread,
@# endif
c,
@# if cee < 2
consumption_obs,
@#endif 
epsil,
Fp,
Fw, 
g,
gdp_obs,
h,
@# if cee < 2
hours_obs, 
@#endif
i,
@# if cee < 2
inflation_obs, 
investment_obs,
@# endif
kbar,
kshock,
lambdaf, 
lambdaz,
muup,
muzstar, 
phi,
pi,
@# if cee < 2
pinvest_obs,
@# endif
pitarget,
pstar,
q,
Re, 
@# if cee < 2
Re_obs,
RealRe_obs,
@# endif
rk,
Rk,
s,
u,
@# if cee < 2
wage_obs,
@# endif
wtilde,
wstar, 
zetac,
zetai;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Declare the exogenous variables in the model.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% All have been checked.  All are used.

varexo 
@# if cee > 1
eta_gam,
eta_risk,
eta_Ttil,
@# endif
e_epsil,
e_g,
e_lambdaf, 
e_muup,
e_muzstar, 
e_pitarget,
e_xp,
e_zetac,
e_zetai; 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Declare the parameters in the model.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
parameters
@# if cee > 1
abar_p,
bbar_p,
rhogam_p,
rhorisk_p,
bstar_p,
gstar_p,
gam_p,
rhoT_p,
Ttil_p,
L_cb,
spread_cb,
sdb_cb,
seta_gam_p,
seta_risk_p,
seta_Ttil_p,
@# endif
@# if cee < 2
actil_p,
adptil_p,
aytil_p,
@# endif
adytil_p,
alpha_p,
aptil_p,
b_p,
beta_p,
@# if cee < 2
c_p,
@# endif
delta_p,
epsil_p,
etag_p,
@# if cee < 2
i_p,
@# endif
iota1_p,
iotamu_p,
iotaw1_p,
lambdaf_p,
lambdaw_p,
muup_p,
muzstar_p,
pi_p,
pibar_p,
pitarget_p,
psik_p,
psil_p,
psiL_p,
@# if cee < 2
Re_p,
@# endif
rhoepsil_p,
rhog_p,
rholambdaf_p,
rhomuup_p,
rhomuzstar_p,
rhopitarget_p,
rhozetac_p,
rhozetai_p,
rhotil_p,
Sdoupr_p,
sigmaL_p,
sigmaa_p,
stdepsil_p,
stdg_p,
stdlambdaf_p,
stdmuup_p,
stdmuzstar_p,
stdpitarget_p,
stdxp_p,
stdzetac_p,
stdzetai_p,
tauc_p,
taud_p,
tauk_p,
taul_p,
tauo_p,
term_p,
upsil_p,
xip_p,
xiw_p,
zeta_p,
zetac_p,
zetai_p;
