//cee = 1, cee model
//cee = 2, CI model
model;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Auxiliary expressions.  These simplify the equations without adding
% additional variables.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  # pitilde    = (pitarget^iota1_p * pi(-1)^(1-iota1_p) * pibar_p^(1-iota1_p-(1-iota1_p)));
  # Kp         = (Fp * ((1 - xip_p * (pitilde / pi)^(1/(1-lambdaf))) / (1 - xip_p))^(1-lambdaf));
  # a          = (steady_state(rk) * (exp(sigmaa_p * (u - 1)) - 1) / sigmaa_p);
  @# if cee > 0
  # Ress       = steady_state(Re);
  # y          = (c+i/muup+g)/(steady_state(c)+steady_state(i)/steady_state(muup)+steady_state(g));
  @# endif
  @# if cee > 1
  # pe         = abar_p+bbar_p*e;
  # pem1       = abar_p+bbar_p*e(-1);
  @# endif
  # g_p        = steady_state(g);
  # pitildep1  = (pitarget(+1)^iota1_p * pi^(1-iota1_p) * pibar_p^(1-iota1_p-(1-iota1_p)));
  # yz         = (pstar^(lambdaf/(lambdaf-1)) * (epsil * (u * kbar(-1) / (muzstar * upsil_p))^alpha_p 
                 * (h * wstar^(lambdaw_p/(lambdaw_p-1)))^(1-alpha_p) - phi));
  # Kpp1       = (Fp(+1) * ((1 - xip_p * (pitildep1 / pi(+1))^(1/(1-lambdaf(+1)))) / (1 - xip_p))^(1-lambdaf(+1)));
  # pitildewp1 = (pitarget(+1)^iotaw1_p * pi^(1-iotaw1_p) * pibar_p^(1-iotaw1_p-(1-iotaw1_p)));
  # piwp1      = (pi(+1) * muzstar(+1) * wtilde(+1) / wtilde);
  # piw        = (pi * muzstar * wtilde / wtilde(-1));
  # pitildew   = (pitarget^iotaw1_p * pi(-1)^(1-iotaw1_p) * pibar_p^(1-iotaw1_p-(1-iotaw1_p)));
  # Kwp1       = (((1 - xiw_p * (pitildewp1 / piwp1 * muzstar_p^(1-iotamu_p) * muzstar(+1)^iotamu_p)^(1/(1-lambdaw_p))) 
                 / (1-xiw_p))^(1-lambdaw_p*(1+sigmaL_p)) * wtilde(+1) * Fw(+1) / psiL_p);
  # Kw         = (((1 - xiw_p * (pitildew / piw * muzstar_p^(1-iotamu_p) * muzstar^iotamu_p)^(1/(1-lambdaw_p))) 
                 / (1 - xiw_p))^(1-lambdaw_p*(1+sigmaL_p)) * wtilde * Fw / psiL_p);
  # rk_ss      = steady_state(rk);
  # S          = (exp(sqrt(Sdoupr_p / 2)*(zetai * muzstar * upsil_p * i / i(-1) - muzstar_p * upsil_p))
                 + exp(-sqrt(Sdoupr_p / 2) * (zetai * muzstar * upsil_p * i/i(-1) - muzstar_p * upsil_p)) - 2);
  # Spr        = (sqrt(Sdoupr_p / 2) * (exp(sqrt(Sdoupr_p / 2) * (zetai * muzstar * upsil_p * i / i(-1) - muzstar_p * upsil_p)) 
                 - exp(-sqrt(Sdoupr_p / 2) * (zetai * muzstar * upsil_p * i / i(-1) - muzstar_p * upsil_p))));
  # Sprp1      = (sqrt(Sdoupr_p / 2) * (exp(sqrt(Sdoupr_p / 2) * (zetai(+1) * muzstar(+1) * upsil_p * i(+1) / i - muzstar_p * upsil_p)) 
                 - exp(-sqrt(Sdoupr_p / 2) * (zetai(+1) * muzstar(+1) * upsil_p * i(+1) / i - muzstar_p * upsil_p))));
  # Rk_ss      = (steady_state(Rk));
  # kbar_ss    = (steady_state(kbar));

  # h_ss       = (steady_state(h));
  //# g_ss       = (etag_p * (steady_state(c) + steady_state(i)) / (1 - etag_p));
  # g_ss       = steady_state(g);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Equations characterizing equilibrium.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % Eqn 1: Law of motion for \latex{p^*}
    pstar = ((1 - xip_p) * (Kp / Fp)^(lambdaf/(1-lambdaf)) 
            + xip_p * ((pitilde / pi) * pstar(-1))^(lambdaf/(1-lambdaf)))^((1-lambdaf)/lambdaf);
  
  % Eqn 2: Law of motion for \latex{F_p}.
    Fp = zetac * lambdaz * yz + (pitildep1 / pi(+1))^(1/(1-lambdaf(+1))) * beta_p * xip_p * Fp(+1);
  
  % Eqn 3: Law of motion for \latex{K_p}
    Kp = zetac * lambdaf * lambdaz * pstar^(lambdaf/(lambdaf-1)) * yz * s 
         + beta_p * xip_p * (pitildep1 / pi(+1))^(lambdaf(+1)/(1-lambdaf(+1))) * Kpp1;
  
  % Eqn 4: Relationship between \latex{K_p} and \latex{F_p}.
  % This equation is contained in the definitions of Kp and Kpp1 in the
  % auxiliary equations.
  
  % Eqn 5: Law of motion for \latex{F_w}.
    Fw = zetac * lambdaz * wstar^(lambdaw_p/(lambdaw_p-1)) * h * (1 - taul_p) / lambdaw_p 
         + beta_p * xiw_p * muzstar_p^((1-iotamu_p)/(1-lambdaw_p)) * (muzstar(+1)^(iotamu_p/(1-lambdaw_p)-1))
         * pitildewp1^(1/(1-lambdaw_p)) / pi(+1) * (1 / piwp1)^(lambdaw_p/(1-lambdaw_p))  *  Fw(+1);
  
  % Eqn 6: Law of motion for \latex{K_w}.
    Kw = zetac * (wstar^(lambdaw_p/(lambdaw_p-1)) * h)^(1+sigmaL_p) * zeta_p + beta_p * xiw_p
         * (pitildewp1 / piwp1 * muzstar_p^(1-iotamu_p) * muzstar(+1)^iotamu_p)^(lambdaw_p*(1+sigmaL_p)/(1-lambdaw_p)) * Kwp1;
  
  % Eqn 7: Relationship between \latex{F_w} and \latex{K_w}.
  % This equation is contained in the definitions of Kw and Kwp1 in the
  % auxiliary equations.
  
  % Eqn 8: Law of motion of \latex{w^*}
    wstar = ((1 - xiw_p) * ( ((1 - xiw_p * (pitildew / piw * muzstar_p^(1-iotamu_p) * (muzstar^iotamu_p))^(1/(1-lambdaw_p))) 
            / (1 - xiw_p))^lambdaw_p ) + xiw_p * (pitildew / piw * muzstar_p^(1-iotamu_p) * muzstar^iotamu_p 
            * wstar(-1))^(lambdaw_p/(1-lambdaw_p)))^(1/(lambdaw_p/(1-lambdaw_p)));
  
  % Eqn 9: Efficiency condition for setting captial utilization
    rk = tauo_p * rk_ss * exp(sigmaa_p * (u - 1));
  
  % Eqn 10: Rental rate on capital 
    rk = alpha_p * epsil * ((upsil_p * muzstar * h * wstar^(lambdaw_p/(lambdaw_p-1)) /(u * kbar(-1)))^(1 - alpha_p)) * s;
  
  % Eqn 11: Marginal Cost 
    s = (rk / alpha_p)^alpha_p * (wtilde / (1 - alpha_p))^(1-alpha_p) / epsil;
  

  % Eqn 12: Resource constraint
    yz = g + c + i / muup + tauo_p * a * kbar(-1) / (muzstar * upsil_p) ;

  % Eqn 13: Law of motion for capital
    @# if cee < 2
       kshock = 1;
    @# endif
    @# if cee > 1
       kshock= (pe*exp(gg)+(1-pe)*exp(bb));       
    @# endif
    kbar = kshock*((1 - delta_p) * kbar(-1) / (muzstar * upsil_p) + (1 - S) * i);
    //kbar = ((1 - delta_p) * kbar(-1) / (muzstar * upsil_p) + kshock*(1 - S) * i);
  % Eqn 14: Household FOC w.r.t. risk-free bonds
    0 = beta_p * zetac(+1) * lambdaz(+1) / (muzstar(+1) * pi(+1)) * (1 + (1 - taud_p) * Re) - zetac * lambdaz;
  
  % Eqn 15: Household FOC w.r.t. consumption
    (1 + tauc_p) * zetac * lambdaz = muzstar * zetac / (c * muzstar - b_p * c(-1)) 
                                     - b_p * beta_p * zetac(+1) / (c(+1) * muzstar(+1) - b_p * c);
    @# if cee == 1
    0 = beta_p * zetac(+1) * lambdaz(+1) / (muzstar(+1) * pi(+1)) * (1 + Rk(+1)) - zetac * lambdaz;
    @# endif
  
  % Eqn 17: Definition of return of entrepreneurs, Rk
    1 + Rk = ((1 - tauk_p) * (u * rk - tauo_p * a) + (1 - delta_p) * q) * pi / (upsil_p * q(-1)) + tauk_p * delta_p;
  
  % Eqn 18: Household FOC w.r.t. investment
    0 = - zetac * lambdaz / muup + lambdaz * zetac * q * (-Spr * zetai * i * muzstar * upsil_p / i(-1) + 1 - S)
        + beta_p * zetac(+1) * lambdaz(+1) * q(+1) * Sprp1 * (zetai(+1) * i(+1) * muzstar(+1) * upsil_p / i)^2 / (muzstar(+1) * upsil_p);
  
  % Eqn 19: Definition of yz.  
  % This equation is represented in the definition of yz in the definition
  % of the auxiliary equations.
  
  
  @# if cee > 0
  //      log((1+Re) / (1+Ress)) = max(rhotil_p * log((1+Re(-1)) / (1+Ress)) + (1 / (1+Ress)) * (1 - rhotil_p) 
  //                      * (aptil_p * log(pi / pitarget_p) + adytil_p * log(gdp_obs)) + (1 / (400 * (1+Ress))) * e_xp,log(1/(1+Ress)));
        log((1+Re) / (1+Ress)) = rhotil_p * log((1+Re(-1)) / (1+Ress)) + (1 / (1+Ress)) * (1 - rhotil_p) 
                        * (aptil_p * log(pi / pitarget_p) + adytil_p * log(gdp_obs)) + (1 / (400 * (1+Ress))) * e_xp;
  @# endif
  % Eqn 21: GDP
  % This is not used.  It is only used in the manuscript in the monetary
  % policy rule.
  %  # y = g + c + i / muup;
  
    
 % equations special to the CI financial friction model  
   @# if cee > 1 
 % these are the equilibrium conditions:
     (lambdaz(+1)+vz(+1))*bbar_p/(muzstar(+1)*pi(+1))*(Rdg(+1)-Rdb(+1))*dtil+eta;
    @# if cee == 2
     ((lambdaz(+1)+vz(+1))/(muzstar(+1)*pi(+1)))*(pe*Rg(+1)+(1-pe)*Rb(+1)-(1+Re));
    @# endif
     vz*pem1+eta(-1)*lambdaz*bbar_p;
     (1+Re(-1)) = pem1*Rdg+(1-pem1)*Rdb;
     e = lambdaz(+1)*bbar_p/(muzstar(+1)*pi(+1))*((Rg(+1)-Rb(+1))*(Ntil+dtil)-(Rdg(+1)-Rdb(+1))*dtil);
     Rb*(Ntil(-1)+dtil(-1))-Rdb*dtil(-1);
 //    -Ntil+(gam/(muzstar*pi))*(pem1*(Rg*(Ntil(-1)+dtil(-1))-Rdg*dtil(-1))+(1-pem1)*(Rb*(Ntil(-1)+dtil(-1))-Rdb*dtil(-1)))+Ttil;
     -Ntil+(gam/(muzstar))*(pem1*(Rg/pi)*(Ntil(-1)+dtil(-1))+(1-pem1)*(Rb/pi)*(Ntil(-1)+dtil(-1))-((1+Re(-1))/pi)*dtil(-1))+Ttil;
     Rg=exp(gg(-1))*(1+Rk);
     Rb=exp(bb(-1))*(1+Rk);
     q*kbar=kshock*(Ntil+dtil);
     cross_std=((pem1*(1-pem1))^(1/2))*(Rg*(Ntil(-1)+dtil(-1))-Rdg*dtil(-1))/Ntil(-1);
 % these are the shocks
     log(Ttil/Ttil_p) = rhoT_p*log(Ttil(-1)/Ttil_p) - eta_Ttil;
     log(gam/gam_p) = rhogam_p*log(gam(-1)/gam_p) - eta_gam;
     risk = rhorisk_p*risk(-1) + eta_risk;
     bb = bstar_p+risk;
     gg = gstar_p-risk;
 % these are variables we want to observe
   leverage = (Ntil+dtil)/Ntil;
   bankspread = Rdg - (1+Re);
   fair = ((Rg(+1)/(1+Re))*(Ntil+dtil))/(((Rg(+1)/(1+Re))*(Ntil+dtil))-dtil);
@# endif

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Observation equations
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  gdp_obs         = (c + i / muup + g) / (c(-1) + i(-1) / muup(-1) + g(-1)) * muzstar / muzstar_p;
@# if cee < 2
  consumption_obs = c / c(-1) * muzstar / muzstar_p;
  hours_obs       = h / h_ss;
  inflation_obs   =  pi / pi_p;
  investment_obs  = i / i(-1) * muzstar / muzstar_p;
  pinvest_obs     = muup(-1) / muup;
  Re_obs          = exp(Re - Re_p);
  RealRe_obs      = ((1 + Re) / pi(+1))/((1 + Re_p) / pi_p);
  wage_obs        = wtilde / wtilde(-1) * muzstar / muzstar_p;
@#endif

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Shock equations
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  log(epsil / epsil_p)       = (rhoepsil_p +.0)   * log(epsil(-1) / epsil_p)  -0.0*rhoepsil_p * log(epsil(-2) / epsil_p)     + @{stopshock} * e_epsil;
  log(g / g_ss)              = rhog_p        * log(g(-1) / g_ss)              + @{stopshock} * e_g;
  log(lambdaf / lambdaf_p)   = rholambdaf_p  * log(lambdaf(-1) / lambdaf_p)   + @{stopshock} * e_lambdaf;
  log(muup / muup_p)         = rhomuup_p     * log(muup(-1) / muup_p)         + @{stopshock} * e_muup;
  log(muzstar / muzstar_p)   = rhomuzstar_p  * log(muzstar(-1) / muzstar_p)   + @{stopshock} * e_muzstar;
  log(pitarget / pitarget_p) = rhopitarget_p * log(pitarget(-1) / pitarget_p) + @{stopshock} * e_pitarget;
  log(zetac / zetac_p)       = rhozetac_p    * log(zetac(-1) / zetac_p)       + @{stopshock} * e_zetac;
  log(zetai / zetai_p)       = rhozetai_p    * log(zetai(-1) / zetai_p)       + @{stopshock} * e_zetai;
  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This ensures zero profits.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  phi = steady_state(phi);

end;
