%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Calibrate the parameters.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@# if cee < 2
stdlambdaf_p   =   0.010955960700000  ;  
stdmuup_p      =   0.003985791800000  ;	 
stdg_p         =   0.022812723300000  ;	 
stdmuzstar_p   =   0.007148784800000  ;	 
stdgamma_p     =   0.008103540300000  ;	 
stdepsil_p     =   0.004633811900000  ;	 
stdxp_p        =   0.25  ;	 
stdzetac_p     =   0.023325355100000  ;	 
stdzetai_p     =   0.054964824400000  ;	 
stdterm_p      =   0.001603753000000  ;	

% Place holder for net worth
xiw_p          =   0.812796311400000  ;	 
b_p            =   0.735843822700000  ;	 
Fomegabar_p    =   0.005588569300000  ;	 
mu_p           =   0.214894511100000  ;	 
sigmaa_p       =   2.535553419500000  ;
sigmaa_p       =   253.5553419500000  ;	 
Sdoupr_p       =  10.780000003400000  ;
Sdoupr_p       =  5.0000003400000  ;	 
xip_p          =   0.741218603400000  ;
aptil_p        =   1.5;
rhotil_p       =   0.850296450300000  ;	 
iota1_p        =   0.897367052100000  ;	
iota1_p        =   1.  ;	
iotaw1_p       =   0.489073535900000  ;
iotaw1_p       =   1.  ;	 	 
iotamu_p       =   0.936565280700000  ;	 
iotamu_p       =   0.  ;	 
adytil_p       =   0.364943654300000  ;
@# if some_financial_data
@# if par8nonzero	 
par8_p         = 0.3861343781103740 ;	 
@# else
par8_p         = 0                  ;
@# endif
@# else
par8_p         = 0                  ;
@# endif
rholambdaf_p   = 0.9108528528580380 ;	 
rhomuup_p      = 0.9870257396836700 ;	 
rhog_p         = 0.9427215849959780 ;	 
rhomuzstar_p   = 0.1459051086113400 ;	 
rhoepsil_p     = 0.8089285617540170 ;	 
rhosigma_p     = 0.9706370265612010 ;	 
rhozetac_p     = 0.8968400853887450 ;	 
rhozetai_p     = 0.9086616567125290 ;	 
rhoterm_p      = 0.9743991813961140 ;	 
@# if stopsignal  
stdsigma2_p    = 0.0282985295279650 ;
@# else
stdsigma2_p    = 0                  ;
@# endif
stdsigma1_p    = 0.0700061676650730 ;	 
	
		 

// Calibrated parameters.
actil_p           = 0;
adptil_p          = 0;
alpha_p           = 0.4;
aytil_p           = 0;
beta_p            = 0.998704208591811;
bigtheta_p        = 0.005;
c_p               = 1.545858551297361;
delta_p           = 0.025;
epsil_p           = 1;
etag_p            = 0.2043;
g_p               = 0.586751768198739;
gamma_p           = 0.985;
i_p               = 0.739400293322006;
lambdaf_p         = 1.2;
lambdaw_p         = 1.05;
muup_p            = 1;
muzstar_p         = 1.004124413586981;
pi_p              = 1.006010795406775;
pibar_p           = 1.006010795406775;
pitarget_p        = 1.006010795406775;
psik_p            = 0;
psil_p            = 0;
psiL_p            = 0.7705;
Re_p              = 0.011470654984364;
rhogamma_p        = 0;
rhopitarget_p     = 0.975;
rk_p              = 0.052074658244454;
sigmaL_p          = 1;
sigma_p           = 0.327545843119697;
stdpitarget_p     = 0.0001;
tauc_p            = 0.047;
taud_p            = 0;
tauk_p            = 0.32;
taul_p            = 0.241;
tauo_p            = 1;
term_p            = 1;
upsil_p           = 1.004223171829000;
we_p              = 0.005;
zeta_p            = 1;
zetac_p           = 1;
zetai_p           = 1;

@# endif

//%parameter values in case we're working with the CI model.
@# if cee > 1

// nuisance parameters:
tauc_p            = 0.;
taud_p            = 0.;
tauk_p            = 0.;
taul_p            = 0.;
tauo_p            = 1;
iotamu_p          = 0;	%weight on actual persistent technology growth in wage updating. 
stdpitarget_p     = 0.0001;
tauo_p            = 1;
term_p            = 1;


//standard deviations
stdlambdaf_p   =   0.010955960700000  ;  
stdmuup_p      =   0.003985791800000  ;	 
stdg_p         =   0.022812723300000  ;	 
stdmuzstar_p   =   0.007148784800000  ;	 
stdgam_p       =   0.008103540300000  ;	 
stdepsil_p     =   0.004633811900000  ;	 
stdxp_p        =   .25  ;	 
stdzetac_p     =   0.023325355100000  ;	 
stdzetai_p     =   0.054964824400000  ;
stdrisk_p      =   0.001;

// model parameters	 
xiw_p          =   0.75;	 
xip_p          =   0.75; 	 
b_p            =   0.735843822700000  ;	 
sigmaa_p       =   253.5553419500000  ;	
Sdoupr_p       =   5.0000000  ;
iota1_p        =   1  ;	%weight on steady state inflation in price updating 
iotaw1_p       =   1  ;	%weight on steady state inflation in wage updating  
rholambdaf_p   =   0.9108528528580380 ;	 
rhomuup_p      =   0.9870257396836700 ;	 
rhog_p         =   0.9427215849959780 ;	 
rhomuzstar_p   =   0.1459051086113400 ;	 
rhoepsil_p     =   0.95 ;	 
rhosigma_p     =   0.9706370265612010 ;	 
rhozetac_p     =   0.8968400853887450 ;	 
rhozetai_p     =   0.9086616567125290 ;	 

bbar_p            = 0.3;
alpha_p           = 0.4;
aptil_p           = 1.5;
adytil_p          = 0.5 ;
rhotil_p          = 0.8;	
beta_p            = 0.998704208591811;
delta_p           = 0.025;
epsil_p           = 1;
etag_p            = 0.20;
gam_p             = 0.85;
gam_p             = 0.1;
lambdaf_p         = 1.2;
lambdaw_p         = 1.05;
muup_p            = 1;
muzstar_p         = 1.004124413586981;
pi_p              = 1.006010795406775;
pibar_p           = 1.006010795406775;
pitarget_p        = 1.006010795406775;
psik_p            = 0;
psil_p            = 0;
psiL_p            = 1;
rhogam_p          = 0;
rhopitarget_p     = 0.975;
sigmaL_p          = 1;
upsil_p           = 1.004223171829000;
zeta_p            = 1;
zetac_p           = 1;
zetai_p           = 1;

// Calibrated parameters.
L_cb           = 20;
spread_cb      = 0.6/400;
sdb_cb         = 0.2;         % standard deviation of return on bank equity

// we calibrate four model parameters, abar_p, bstar_p, gstar_p, Ttil_p. These are in the parameters statement and must be computed here.
// the steady state program computed here leaves off leverage restrictions. That is the program we use for parameter calibration, even
// when we work with the version of the model with leverage restrictions. 
[zetac,q,u,wstar,pstar,kbar,s,Re,Rk,rk,wtilde,h,yz,c,i,g,lambdaz,phi,Fp,Fw,Ntil,T_p,pe,xbstar_p,xgstar_p,e,xabar_p,Rdg,Rdb,dtil,vz,eta,Rg,Rb] = ...
            hidden_effort_steady(bbar_p,L_cb,spread_cb,sdb_cb,pi_p,lambdaf_p,epsil_p,muzstar_p,beta_p,etag_p,upsil_p,delta_p, ...
            alpha_p,b_p,lambdaw_p,psiL_p,sigmaL_p,psik_p,muup_p,xip_p,xiw_p,zetai_p,gam_p,zetac_p);

abar_p=xabar_p;
rhogam_p=0.95;
rhorisk_p=0.95;
bstar_p=xbstar_p;
gstar_p=xgstar_p;
rhoT_p=0.95;
Ttil_p=T_p;

seta_gam_p=.01;
seta_risk_p=0.001;
seta_Ttil_p=.1;

@#endif

1+1;