function [util,Ntilde,pe,e,s,R,dtilde,kbar,i,c,lambz,Rk,rk,h,Rdb,Rdg,vz,eta,biglambda,wtilde,ip] = find_Ntil(xNtil, ...
    xpe,sigmaL_p,psiL_p,lambdaw_p,alpha_p,b_p,g, ...
    h_guess,abar_p,bbar_p,Ttil_p,gam_p,muzstar_p,pi_p,L,gstar_p,bstar_p,delta_p,upsil_p,phi_p,muup_p,beta_p,lambdaf_p)
ip=0;
dip=1;
if dip == 1
%first, check to see if this steady state has already been computed
if exist('leverage_ss.mat','file') == 2
    
    XX=[sigmaL_p psiL_p lambdaw_p alpha_p b_p g abar_p bbar_p Ttil_p gam_p muzstar_p pi_p L gstar_p bstar_p delta_p upsil_p phi_p muup_p beta_p lambdaf_p];
    load leverage_ss xx yy
    
    if max(abs(xx-XX)) < .1e-10
        chk=0;
        if chk==1
            Ntilde=yy(2);
            [cc,util,pe,e,s,R,dtilde,kbar,i,c,lambz,Rk,rk,h,Rdb,Rdg,vz,eta,biglambda,wtilde] = ffind_pe(Ntilde,xpe,sigmaL_p,psiL_p,lambdaw_p,alpha_p,b_p,g, ...
                h_guess,abar_p,bbar_p,Ttil_p,gam_p,muzstar_p,pi_p,L,gstar_p,bstar_p,delta_p,upsil_p,phi_p,muup_p,beta_p,lambdaf_p);
            if abs(cc) < .1e-10
                return
            else
                error('fatal (find_Ntil) store steady state results wrong')
            end
            return
            
        else
            
            util=yy(1); Ntilde=yy(2); pe=yy(3); e=yy(4); s=yy(5); R=yy(6); dtilde=yy(7); kbar=yy(8); i=yy(9); c=yy(10); lambz=yy(11); Rk=yy(12);
            rk=yy(13); h=yy(14); Rdb=yy(15); Rdg=yy(16); vz=yy(17); eta=yy(18); biglambda=yy(19); wtilde=yy(20);
            return
            
        end
        
    end
    
end
end

nint=100;
xNtilup=2*xNtil;
xNtillo=.5*xNtil;
xint=(xNtilup-xNtillo)/nint;
NN=xNtillo:xint:xNtilup;
cc = ffind_pe(NN(1),xpe,sigmaL_p,psiL_p,lambdaw_p,alpha_p,b_p,g, ...
    h_guess,abar_p,bbar_p,Ttil_p,gam_p,muzstar_p,pi_p,L,gstar_p,bstar_p,delta_p,upsil_p,phi_p,muup_p,beta_p,lambdaf_p);
if isempty(cc) ~= 1;fun(1)=cc;else;fun(1)=NaN;end
ix=0;
II=[];
for ii = 2:length(NN)
    Ntil=NN(ii);
    cc = ffind_pe(Ntil,xpe,sigmaL_p,psiL_p,lambdaw_p,alpha_p,b_p,g, ...
        h_guess,abar_p,bbar_p,Ttil_p,gam_p,muzstar_p,pi_p,L,gstar_p,bstar_p,delta_p,upsil_p,phi_p,muup_p,beta_p,lambdaf_p);
    if isempty(cc) ~= 1;fun(ii)=cc;else;fun(ii)=NaN;end
    if isnan(fun(ii))==0 && isnan(fun(ii-1))==0
        if fun(ii)*fun(ii-1) < 0
            ix=ix+1;
            II(ix)=ii;
        end
    end
end

if ix == 0
    [Y,I]=min(fun);
    if I > 1 && I < length(fun)
        disp('warning (find_Ntil) could not bracket steady state value of Ntil...there may not exist an equilibrium')
    end
    util=[];Ntilde=[];pe=[];e=[];s=[];R=[];dtilde=[];kbar=[];i=[];c=[];lambz=[];Rk=[];rk=[];h=[];Rdb=[];Rdg=[];vz=[];eta=[];biglambda=[];wtilde=[];
    ip=1;
    return
end

if ix > 1
    
    dbstop at 96
    plot(NN,fun,NN,zeros(length(NN),1))
    title('zero criterion')
    axis tight
    Nt=[NN(II(1)-1) NN(II(1))];
    [x,fval,exitflag]=fzero('ffind_pe',Nt,optimset,xpe,sigmaL_p,psiL_p,lambdaw_p,alpha_p,b_p,g, ...
        h_guess,abar_p,bbar_p,Ttil_p,gam_p,muzstar_p,pi_p,L,gstar_p,bstar_p,delta_p,upsil_p,phi_p,muup_p,beta_p,lambdaf_p);
    if exitflag == 1
        Ntilde1=x;
    end
    [cc1,util1,pe1,e1,s1,R1,dtilde1,kbar1,i1,c1,lambz1,Rk1,rk1,h1,Rdb1,Rdg1,vz1,eta1,biglambda1,wtilde1] = ffind_pe(Ntilde1,xpe,sigmaL_p,psiL_p,lambdaw_p,alpha_p,b_p,g, ...
        h_guess,abar_p,bbar_p,Ttil_p,gam_p,muzstar_p,pi_p,L,gstar_p,bstar_p,delta_p,upsil_p,phi_p,muup_p,beta_p,lambdaf_p);

    Nt=[NN(II(2)-1) NN(II(2))];
    [x,fval,exitflag]=fzero('ffind_pe',Nt,optimset,xpe,sigmaL_p,psiL_p,lambdaw_p,alpha_p,b_p,g, ...
        h_guess,abar_p,bbar_p,Ttil_p,gam_p,muzstar_p,pi_p,L,gstar_p,bstar_p,delta_p,upsil_p,phi_p,muup_p,beta_p,lambdaf_p);
    if exitflag == 1
        Ntilde2=x;
    end
    [cc2,util2,pe2,e2,s2,R2,dtilde2,kbar2,i2,c2,lambz2,Rk2,rk2,h2,Rdb2,Rdg2,vz2,eta2,biglambda2,wtilde2] = ffind_pe(Ntilde2,xpe,sigmaL_p,psiL_p,lambdaw_p,alpha_p,b_p,g, ...
        h_guess,abar_p,bbar_p,Ttil_p,gam_p,muzstar_p,pi_p,L,gstar_p,bstar_p,delta_p,upsil_p,phi_p,muup_p,beta_p,lambdaf_p);
    
    error('fatal (find_Ntil) found more than one candidate steady state value for Ntil')
    
end

Nt=[NN(II-1) NN(II)];
[x,fval,exitflag]=fzero('ffind_pe',Nt,optimset,xpe,sigmaL_p,psiL_p,lambdaw_p,alpha_p,b_p,g, ...
        h_guess,abar_p,bbar_p,Ttil_p,gam_p,muzstar_p,pi_p,L,gstar_p,bstar_p,delta_p,upsil_p,phi_p,muup_p,beta_p,lambdaf_p);
if abs(fval) > .1e-10 || exitflag ~= 1
    error('fatal (find_Ntil) failed to find a steady state')
end
Ntilde=x;
[cc,util,pe,e,s,R,dtilde,kbar,i,c,lambz,Rk,rk,h,Rdb,Rdg,vz,eta,biglambda,wtilde] = ffind_pe(Ntilde,xpe,sigmaL_p,psiL_p,lambdaw_p,alpha_p,b_p,g, ...
        h_guess,abar_p,bbar_p,Ttil_p,gam_p,muzstar_p,pi_p,L,gstar_p,bstar_p,delta_p,upsil_p,phi_p,muup_p,beta_p,lambdaf_p);
if abs(cc) > .1e-10
    error('fatal (find_Ntil) steady state program failed')
end

xx=[sigmaL_p psiL_p lambdaw_p alpha_p b_p g abar_p bbar_p Ttil_p gam_p muzstar_p pi_p L gstar_p bstar_p delta_p upsil_p phi_p muup_p beta_p lambdaf_p];
yy=[util Ntilde pe e s R dtilde kbar i c lambz Rk rk h Rdb Rdg vz eta biglambda wtilde];
save leverage_ss xx yy

cchk=1;
if cchk == 1
    err(1)=s*lambdaf_p-1;
    err(2)=wtilde-lambdaw_p*psiL_p*h^sigmaL_p/lambz;
    err(3)=rk-alpha_p*(upsil_p*muzstar_p*h/kbar)^(1-alpha_p)*s;
    err(4)=i-((1/(pe*exp(gstar_p)+(1-pe)*exp(bstar_p)))-(1-delta_p)/(muzstar_p*upsil_p))*kbar;
    err(5)=R-pi_p*muzstar_p/beta_p;
    err(6)=lambz-(1/c)*(muzstar_p-b_p*beta_p)/(muzstar_p-b_p);
    err(7)=Rk-(rk+1-delta_p)*pi_p/upsil_p;
    err(8)=c+g+i/muup_p-(kbar/(muzstar_p*upsil_p))^alpha_p*h^(1-alpha_p)+phi_p;
    err(9)=wtilde-s*(1-alpha_p)*(upsil_p*muzstar_p*h/kbar)^(-alpha_p);
    err(10)=(lambz+vz)*bbar_p*(Rdg-Rdb)*dtilde/(muzstar_p*pi_p)+eta;
    err(11)=biglambda-(lambz+vz)*((pe*exp(gstar_p)+(1-pe)*exp(bstar_p))*Rk-R)/(muzstar_p*pi_p);
    err(12)=vz*pe+eta*lambz*bbar_p;
    err(13)=-R+pe*Rdg+(1-pe)*Rdb;
    err(14)=-e+(lambz*bbar_p/(muzstar_p*pi_p))*((exp(gstar_p)-exp(bstar_p))*Rk*(Ntilde+dtilde)-(Rdg-Rdb)*dtilde);
    err(15)=exp(bstar_p)*Rk*(Ntilde+dtilde)-Rdb*dtilde;
    err(16)=-Ntilde+(gam_p/(muzstar_p*pi_p))*((pe*exp(gstar_p)+(1-pe)*exp(bstar_p))*Rk*(Ntilde+dtilde)-R*dtilde)+Ttil_p;
    err(17)=-kbar+(pe*exp(gstar_p)+(1-pe)*exp(bstar_p))*(Ntilde+dtilde);
    err(18)=L*Ntilde-(Ntilde+dtilde);
    if max(abs(err)) > .1e-10
        error('fatal (find_Ntil) steady state failed accuracy check')
    end
end
    
dd=(gam_p/(muzstar_p*pi_p))*(pe*exp(gstar_p)+(1-pe)*exp(bstar_p))*Rk;
if dd < 0 || dd > 1
    error('fatal (find_Ntil) stability condition in net worth accumulation equation not satisfied')
end