function [zetac,q,u,wstar,pstar,kbar,s,Re,Rk,rk,wtilde,h,yz,c,i,g,lambdaz,phi_p,Fp,Fw,n,T_p,pe,bstar_p,gstar_p,e,abar_p,Rdg,Rdb,d,vz,eta,Rg,Rb] = ...
    hidden_effort_steady(bbar_p,L_cb,spread_cb,sdb_cb,pi_p,lambdaf_p,epsil_p,muzstar_p,beta_p,etag_p,upsil_p,delta_p, ...
    alpha_p,b_p,lambdaw_p,psiL_p,sigmaL_p,psik_p,muup_p,xip_p,xiw_p,zetai_p,gam_p,zetac_p)
%dbstop at 6
% Price and wage
pi = pi_p;
pi_target = pi_p;
pstar = 1;
wstar = 1;
s = 1/lambdaf_p;
% *** Note: Fp and Fw are pinned down later

% Other vairbales
u = 1;
Re = pi*muzstar_p/beta_p; % = Re_p 
q = 1;
Rk = Re;   
rk = Rk*upsil_p/pi_p -(1-delta_p);  
h_k = (rk*(1+psik_p*Re)/(alpha_p*epsil_p)*(1/s))^(1/(1-alpha_p))*(1/(upsil_p*muzstar_p));
c_h=(1-etag_p)*(1/(h_k*muzstar_p*upsil_p))^alpha_p/lambdaf_p -  (1-(1-delta_p)/(muzstar_p*upsil_p))/(muup_p*h_k);
wtilde=s*(1-alpha_p)*(upsil_p*muzstar_p*h_k)^(-alpha_p);
qq=(1/c_h)*((muzstar_p-b_p*beta_p)/(muzstar_p-b_p))*(wtilde/(lambdaw_p*psiL_p));
h=qq^(1/(1+sigmaL_p));
kbar=h/h_k;
F=(1/(h_k*muzstar_p*upsil_p))^alpha_p*h;
yz=F/(lambdaf_p);
c=c_h*h;
i=(1-(1-delta_p)/(muzstar_p*upsil_p))*kbar;
g=etag_p*yz;
lambdaz=(1/c)*((muzstar_p-b_p*beta_p)/(muzstar_p-b_p));
phi_p=F*(1-1/lambdaf_p);


[Fp,Kp,Fw,Kw] = nobanks_ss4(lambdaz,yz,pi_p,pi_p,lambdaf_p,beta_p,xip_p,s,zetac_p, ...
    wstar,lambdaw_p,h,0,muzstar_p,sigmaL_p,xiw_p,pi_p,muzstar_p*pi_p,1,1,1);

%Fp = lambdaz*yz/(1-beta_p*xip_p);
%Fw = h^(1+sigmaL_p)*psiL_p/(wtilde*(1-beta_p*xiw_p));
%Fw = (lambdaz*h/lambdaw_p)/(1-beta_p*xiw_p); 
muzstar = muzstar_p;
muup = muup_p;
zetai = zetai_p;
zetac = zetac_p;
lambdaf = lambdaf_p;

% 3. Calculate financial frictions variables
% New endogenous varibales in addition to CEE
% d, N, e, nuz, eta (Rdg and Rdb) 
%--------------------------------------------------------------------------
% Calculate steady state and the four parameters 
n = kbar/L_cb;                                     % net worth
T_p = (1-gam_p*Re/(pi_p*muzstar_p))*n;        % transfers
pe = 1/(1+(sdb_cb/Re)^(2));                        % prob of finding a good entrepreneur
bstar_p = log((1-spread_cb*pe/((1-pe)*Re))*(L_cb-1)/L_cb);% parameter of bad investment
gstar_p = log((1-(1-pe)*exp(bstar_p))/pe);         % parameter of good investment
e = (lambdaz*bbar_p)/(muzstar_p*pi_p)*(exp(gstar_p)-exp(bstar_p))/(1-exp(bstar_p))*Re*n;  % banker's effort
abar_p = pe - bbar_p*e;                            % pe = abarp + bbar_p*e
Rg = exp(gstar_p)*Rk;                             % return of good investment
Rb = exp(bstar_p)*Rk;                             % retunr of bad investment
d = (L_cb-1)*n;                                    % deposits
Rdb=exp(bstar_p)*Re*(L_cb/(L_cb-1));
Rdg=Re+spread_cb;

aa=bbar_p*(Rdg-Rdb)*d*lambdaz*bbar_p/(muzstar_p*pi_p);
vz=lambdaz*aa/(pe-aa);
%vz = lambdaz/(pe/(1/(muzstar_p*pi_p)*bbar_p^(2)*(Rdg-Rdb)*d*lambdaz)-1);
eta = -(lambdaz+vz)*1/(muzstar_p*pi_p)*bbar_p*(Rdg-Rdb)*d;

% *** Note:
% bbar_p has to satisfy b < b_max so that nuz > 0
b_max = (pe*muzstar_p*pi_p/((Rdg-Rdb)*d*lambdaz))^(1/2);

ip=0;
if vz <= 0;ip=1;end
if pe < 1/2 || pe > 1;ip=1;end
if c < 0 ;ip=1;end
if d < 0;ip=1;end
if n < 0;ip=1;end
if g < 0;ip=1;end
if e < 0;ip=1;end
if kbar < 0;ip=1;end
if Rdg < Rdb;ip=1;end
if ip == 1
    error('fatal (hidden_effort_steady) steady state restriction violated')
end
    
chk=1;
if chk==1
    check_steady
end