function [util,biglambda,Ntilde,dtilde,pe,wtilde,kshock,kbar,i,h,c,lambdaz,rk,Rk,R,s,e] = oobserveL_Ntilde(xNtilde,lambdaf_p,Ttil_p,gam_p,L,xpe,lambdaw_p,psiL_p,sigmaL_p,abar_p,pi_p,h_guess, ...
        muzstar_p,upsil_p,alpha_p,phi_p,g,muup_p,beta_p,b_p,s,delta_p,bbar_p,gstar_p,bstar_p)

restr=0;

[Nt,func,ix,II]= oobserveL_Ntilde_loop(xNtilde,lambdaf_p,Ttil_p,gam_p,L,xpe,lambdaw_p,psiL_p,sigmaL_p,abar_p,pi_p,h_guess, ...
    muzstar_p,upsil_p,alpha_p,phi_p,g,muup_p,beta_p,b_p,s,delta_p,bbar_p,gstar_p,bstar_p,restr);

if ix == 0
    %let's conjecture that the equilibrium is pe=1. We'll verify this conjecture afterward.
    xpe=1;
    restr=1;
    [Nt,func,ix,II]= oobserveL_Ntilde_loop(xNtilde,lambdaf_p,Ttil_p,gam_p,L,xpe,lambdaw_p,psiL_p,sigmaL_p,abar_p,pi_p,h_guess, ...
        muzstar_p,upsil_p,alpha_p,phi_p,g,muup_p,beta_p,b_p,s,delta_p,bbar_p,gstar_p,bstar_p,restr);
end

if ix == 1
    NN=[Nt(II-1) Nt(II)];
else
    error('fatal (observeL_Ntilde) failed to find steady state')
end

[x,fval,exitflag] = fzero('observeL_Ntilde',NN,optimset,lambdaf_p,Ttil_p,gam_p,L,xpe,lambdaw_p,psiL_p,sigmaL_p,abar_p,pi_p,h_guess, ...
        muzstar_p,upsil_p,alpha_p,phi_p,g,muup_p,beta_p,b_p,s,delta_p,bbar_p,gstar_p,bstar_p,restr);
if exitflag ~= 1 || abs(fval) > .1e-10
    error('fatal (observeL_Ntilde) failed to find steady state 2')
end

Ntilde=x;
[ff,ipp,dtilde,pe,wtilde,kshock,kbar,i,h,c,lambdaz,rk,Rk,R,s,e] = observeL_Ntilde(Ntilde,lambdaf_p,Ttil_p,gam_p,L,xpe,lambdaw_p,psiL_p,sigmaL_p,abar_p,pi_p,h_guess, ...
        muzstar_p,upsil_p,alpha_p,phi_p,g,muup_p,beta_p,b_p,s,delta_p,bbar_p,gstar_p,bstar_p,restr);
if ipp == 1 || abs(ff) > .1e-10
    error('fatal (observeL_Ntilde) failed to find steady state 3')
end

util=log(c-(b_p/muzstar_p)*c)-psiL_p*h^(1+sigmaL_p)/(1+sigmaL_p);
biglambda=(lambdaz/(muzstar_p*pi_p))*(kshock*Rk-R);
err=zeros(18,1);
err(1)=s-1/lambdaf_p;
err(2)=wtilde-lambdaw_p*psiL_p*h^sigmaL_p/lambdaz;
err(3)=rk-alpha_p*(upsil_p*muzstar_p*h/kbar)^(1-alpha_p)*s;
err(4)=i-(1/kshock-(1-delta_p)/(muzstar_p*upsil_p))*kbar;
err(5)=R-pi_p*muzstar_p/beta_p;
err(6)=lambdaz-(1/c)*(muzstar_p-b_p*beta_p)/(muzstar_p-b_p);
err(7)=Rk-(rk+1-delta_p)*pi_p/upsil_p;
err(8)=c+g+i/muup_p-(kbar/(muzstar_p*upsil_p))^alpha_p*h^(1-alpha_p)+phi_p;
err(9)=wtilde-s*(1-alpha_p)*(upsil_p*muzstar_p*h/kbar)^(-alpha_p);
err(14)=e-(lambdaz*bbar_p/(muzstar_p*pi_p))*(exp(gstar_p)-exp(bstar_p))*Rk*(Ntilde+dtilde);
err(16)=-Ntilde+(gam_p/(muzstar_p*pi_p))*(kshock*Rk*(Ntilde+dtilde)-R*dtilde)+Ttil_p;
err(17)=-kbar+kshock*(Ntilde+dtilde);
err(18)=L*Ntilde-(Ntilde+dtilde);

%if restr = 1, then err(14) must be negative.
if restr == 1
    tt=[[1:13] [15:18]];
    if err(14)>0
        error('fatal (oobserveL_Ntilde) steady state failed accuracy test on inequality for equation 14')
    end
else
    tt=1:18;
end
    
if max(abs(err(tt))) > .1e-10
    error('fatal (oobserveL_Ntilde) failed to find steady state')
end
