function [h,c,lambdaz,rk,Rk,ip,e] = oobserveL_h(h_guess,pe,abar_p,pi_p,Ntilde,dtilde,kbar,muzstar_p,upsil_p,alpha_p,phi_p,g,i,muup_p,beta_p, ...
    b_p,s,delta_p,bbar_p,gstar_p,bstar_p,lambdaw_p,psiL_p,sigmaL_p,restr)    

e=(pe-abar_p)/bbar_p;
ip=0;
nint=50;
hlo=h_guess*.01;
xint=(h_guess-hlo)/nint;
hh1=hlo:xint:h_guess;
hlo=h_guess+xint;
hup=h_guess*20;
xint=(hup-hlo)/nint;
hh2=hlo:xint:hup;
hh=[hh1 hh2];

ix=0;
II=[];

for ii = 1:length(hh)
    h=hh(ii);
    [ff,c,lambdaz,rk,Rk] = observeL_h(h,e,pi_p,Ntilde,dtilde,kbar,muzstar_p,upsil_p,alpha_p,phi_p,g,i,muup_p,beta_p,b_p,s, ...
        delta_p,bbar_p,gstar_p,bstar_p,lambdaw_p,psiL_p,sigmaL_p,restr);
    func(ii)=ff;
    if ii > 1
        if func(ii)*func(ii-1) < 0
            ix=ix+1;
            II(ix)=ii;  
        end
    end
end

if ix == 0
    ip=1;
    h=[];c=[];lambdaz=[];rk=[];Rk=[];
    return    
end

if ix == 2    
    if II(1) == 1 || II(1) == length(func)
        error('fatal (oobserveL_h) sign switch found on boundary, make grid finer')
    end
    if II(2) == 1 || II(2) == length(func)
        error('fatal (oobserveL_h) sign switch found on boundary, suggest you extend upper bound on grid')
    end
    s1=(func(II(1))-func(II(1)-1))*(func(II(1)+1)-func(II(1)));
    s2=(func(II(2))-func(II(2)-1))*(func(II(2)+1)-func(II(2)));
    if (s1 > 0 && s2 > 0) || (s1<0 && s2<0)
        error(' fatal(oobserveL_h) strange behavior in neightborhood of both crossings, make grid finer')
    end    
    if s1 > 0
        NN=[hh(II(1)-1) hh(II(1))];
    else
        NN=[hh(II(2)-1) hh(II(2))];
    end
end

if ix == 1
    ss=(func(II)-func(II-1))*(func(II+1)-func(II));
    if ss < 0
        disp('warning (oobserveL_h) looks like the only sign switch may be a singularity')
    end
    NN=[hh(II-1) hh(II)];
end

if ix > 2    
    ip=1;
    h=[];c=[];lambdaz=[];rk=[];Rk=[];
    return
end

[x,fval,exitflag]=fzero('observeL_h',NN,optimset,e,pi_p,Ntilde,dtilde,kbar,muzstar_p,upsil_p,alpha_p,phi_p,g,i,muup_p,beta_p,b_p,s,delta_p,bbar_p,gstar_p,bstar_p,lambdaw_p,psiL_p,sigmaL_p,restr);
if abs(fval) > .1e-10 || exitflag ~= 1
    ip=1;
    h=[];c=[];lambdaz=[];rk=[];Rk=[];
    return
end
h=x;

[ff,c,lambdaz,rk,Rk] = observeL_h(h,e,pi_p,Ntilde,dtilde,kbar,muzstar_p,upsil_p,alpha_p,phi_p,g,i,muup_p,beta_p,b_p,s,delta_p,bbar_p,gstar_p,bstar_p,lambdaw_p,psiL_p,sigmaL_p,restr);
if abs(ff) > .1e-10
    error('fatal (oobserveL_h) something went wrong')
end
