function [pe,ipp,wtilde,kshock,kbar,i,h,c,lambdaz,rk,Rk,e] = oobserveL_pe(xpe,lambdaw_p,psiL_p,sigmaL_p,abar_p,pi_p,Ntilde,dtilde, ...
    h_guess,muzstar_p,upsil_p,alpha_p,phi_p,g,muup_p,beta_p,b_p,s,delta_p,bbar_p,gstar_p,bstar_p,restr)

ipp=0;
if restr == 0
    pelo=.8*xpe;
    peup=.9999;
    nint=50;
    xint=(peup-pelo)/nint;
    ppe=pelo:xint:peup;
    ix=0;
    II=[];
    for ii=1:length(ppe)
        pe=ppe(ii);
        [ff,ip] = observeL_pe(pe,lambdaw_p,psiL_p,sigmaL_p,abar_p,pi_p,Ntilde,dtilde,h_guess,muzstar_p,upsil_p,alpha_p,phi_p,g,muup_p,beta_p,b_p,s,delta_p,bbar_p,gstar_p,bstar_p,restr);
        if ip == 0;
            func(ii)=ff;
        else
            func(ii)=NaN;
        end
        if ii > 1
            if isnan(func(ii)) ~= 1 && isnan(func(ii-1)) ~= 1
                if func(ii)*func(ii-1) < 0
                    ix=ix+1;
                    II(ix)=ii;
                end
            end
        end
    end
    
    if ix == 0
        ipp=1;
        pe=[];wtilde=[];kshock=[];kbar=[];i=[];h=[];c=[];lambdaz=[];rk=[];Rk=[];e=[];
        return
    end
    
    if ix == 2
        if II(1) == 1 || II(1) == length(func)
            error('fatal (oobserveL_pe) sign switch found on boundary, make grid finer')
        end
        if II(2) == 1 || II(2) == length(func)
            error('fatal (oobserveL_pe) sign switch found on boundary, make grid finer')
        end
        s1=(func(II(1))-func(II(1)-1))*(func(II(1)+1)-func(II(1)));
        s2=(func(II(2))-func(II(2)-1))*(func(II(2)+1)-func(II(2)));
        if (s1 > 0 && s2 > 0) || (s1<0 && s2<0)
            ipp=1;
            pe=[];wtilde=[];kshock=[];kbar=[];i=[];h=[];c=[];lambdaz=[];rk=[];Rk=[];
            return
        end
        if s1 > 0
            NN=[ppe(II(1)-1) ppe(II(1))];
        else
            NN=[ppe(II(2)-1) ppe(II(2))];
        end
    end
    
    if ix > 2
        error('fatal (oobserveL_pe) found more than two crossings for pe')
    end
    if ix == 1
        NN=[ppe(II-1) ppe(II)];
    end
    [x,fval,exitflag]=fzero('observeL_pe',NN,optimset,lambdaw_p,psiL_p,sigmaL_p,abar_p,pi_p,Ntilde,dtilde,h_guess,muzstar_p,upsil_p,alpha_p,phi_p,g,muup_p,beta_p,b_p,s,delta_p,bbar_p,gstar_p,bstar_p,restr);
    if exitflag ~= 1 || abs(fval) > .1e-10
        ipp=1;
        pe=[];wtilde=[];kshock=[];kbar=[];i=[];h=[];c=[];lambdaz=[];rk=[];Rk=[];e=[];
        return
    end
    
    pe=x;
    
    [ff,ip,wtilde,kshock,kbar,i,h,c,lambdaz,rk,Rk,e] = observeL_pe(pe,lambdaw_p,psiL_p,sigmaL_p,abar_p,pi_p,Ntilde,dtilde,h_guess,muzstar_p,upsil_p,alpha_p,phi_p,g,muup_p,beta_p, ...
        b_p,s,delta_p,bbar_p,gstar_p,bstar_p,restr);
    
elseif restr == 1
    
    pe=1;
    [ff,ip,wtilde,kshock,kbar,i,h,c,lambdaz,rk,Rk,e] = observeL_pe(pe,lambdaw_p,psiL_p,sigmaL_p,abar_p,pi_p,Ntilde,dtilde,h_guess,muzstar_p,upsil_p,alpha_p,phi_p,g,muup_p,beta_p, ...
        b_p,s,delta_p,bbar_p,gstar_p,bstar_p,restr);    
    
end

if abs(ff) > .1e-10 || ip == 1
    error('fatal (oobserveL_pe) something went wrong')
end