function [util,pe,e,dtilde,kbar,i,c,lambdaz,Rk,rk,wtilde,h] = oobserve_pe(Ntilde,xpe,alpha_p,b_p,g,h_guess, ...
        abar_p,bbar_p,muzstar_p,pi_p,gstar_p,bstar_p,delta_p,upsil_p,phi_p,muup_p,beta_p,lambdaw_p,psiL_p,sigmaL_p,R,s)
restr=0;    
ipp=0;
pelo=abar_p;
peup=.9999;
nint=50;
xint=(peup-pelo)/nint;
ppe=pelo:xint:peup;
ix=0;
II=[];
for ii=1:length(ppe)
    pe=ppe(ii);
    [ff,e,dtilde,kbar,i,c,lambdaz,Rk,rk,wtilde,h,ip] = observe_pe(pe,Ntilde,alpha_p,b_p,g,h_guess, ...
        abar_p,bbar_p,muzstar_p,pi_p,R,gstar_p,bstar_p,delta_p,upsil_p,phi_p,muup_p,beta_p,s,lambdaw_p,psiL_p,sigmaL_p,restr);
    if ip == 0;
        func(ii)=ff;
    else
        func(ii)=NaN;
    end
    if ii > 1
        if isnan(func(ii)) ~= 1 && isnan(func(ii-1)) ~= 1
            if func(ii)*func(ii-1) < 0
                ix=ix+1;
                II(ix)=ii;
            end
        end
    end
end

if ix == 0
    [Y,I]=min(abs(func));
    if I == length(func);%this suggests that the algorithm is looking for pe>1, in which case we should investigate if pe=1 is an equilibrium
        pe=1;
        restr=1;
        [ff,e,dtilde,kbar,i,c,lambdaz,Rk,rk,wtilde,h,ip] = observe_pe(pe,Ntilde,alpha_p,b_p,g,h_guess, ...
            abar_p,bbar_p,muzstar_p,pi_p,R,gstar_p,bstar_p,delta_p,upsil_p,phi_p,muup_p,beta_p,s,lambdaw_p,psiL_p,sigmaL_p,restr);
        if abs(ff) > .1e-10
            error('fatal (oobserve_pe) failed to compute a steady state')
        end
        aa=e-(lambdaz*bbar_p/(muzstar_p*pi_p))*(exp(gstar_p)-exp(bstar_p))*Rk*(Ntilde+dtilde);
        %following is the crucial test to determine if pe=1 is an equilibrium. if aa>0 then banks would prefer to choose a lower e, 
        %contradicting that pe=1 is binding.
        if aa > 0
            error('fatal (oobserve_pe) candidate steady state equilibrium with pe=1 not an equilibrium')
        end
        util=log(c-(b_p/muzstar_p)*c)-psiL_p*h^(1+sigmaL_p)/(1+sigmaL_p);
        return
    else
        error('fatal (oobserve_pe) failed to bracket a steady state')
    end
end

if ix == 2    
    if II(1) == 1 || II(1) == length(func)
        error('fatal (oobserve_pe) sign switch found on boundary, make grid finer')
    end
    if II(2) == 1 || II(2) == length(func)
        error('fatal (oobserve_pe) sign switch found on boundary, make grid finer')
    end
    s1=(func(II(1))-func(II(1)-1))*(func(II(1)+1)-func(II(1)));
    s2=(func(II(2))-func(II(2)-1))*(func(II(2)+1)-func(II(2)));
    if (s1 > 0 && s2 > 0) || (s1<0 && s2<0)
        ipp=1;
        h=[];kbar=[];dtilde=[];c=[];lambdaz=[];
        return
    end    
    if s1 > 0
        NN=[ppe(II(1)-1) ppe(II(1))];
    else
        NN=[ppe(II(2)-1) ppe(II(2))];
    end
end

if ix > 2
    error('fatal (oobserve_pe) found more than two crossings for pe')
end
if ix == 1
    NN=[ppe(II-1) ppe(II)];
end
[x,fval,exitflag]=fzero('observe_pe',NN,optimset,Ntilde,alpha_p,b_p,g,h_guess, ...
        abar_p,bbar_p,muzstar_p,pi_p,R,gstar_p,bstar_p,delta_p,upsil_p,phi_p,muup_p,beta_p,s,lambdaw_p,psiL_p,sigmaL_p,restr);
if exitflag ~= 1
    ipp=1;
end
pe=x;
[ff,e,dtilde,kbar,i,c,lambdaz,Rk,rk,wtilde,h,ip] = observe_pe(pe,Ntilde,alpha_p,b_p,g,h_guess, ...
        abar_p,bbar_p,muzstar_p,pi_p,R,gstar_p,bstar_p,delta_p,upsil_p,phi_p,muup_p,beta_p,s,lambdaw_p,psiL_p,sigmaL_p,restr);
    
util=log(c-(b_p/muzstar_p)*c)-psiL_p*h^(1+sigmaL_p)/(1+sigmaL_p);