function plott(dtil_eta_gam,q_eta_gam,Rk_eta_gam,Rdg_eta_gam,cross_std_eta_gam,kbar_eta_gam,h_eta_gam,s_eta_gam,wtilde_eta_gam,rk_eta_gam, ...
    e_eta_gam,kshock_eta_gam,Re_eta_gam,Ntil_eta_gam,leverage_eta_gam,bankspread_eta_gam,gam_eta_gam,c_eta_gam,i_eta_gam,g_eta_gam, ...
    vz_eta_gam,pi_eta_gam,endo_names,steady_state,param_names,params)

tt=1:length(gam_eta_gam);
ia=5;
ib=5;

ip=1;
if max(abs(Ntil_eta_gam)) < .1e-10
    ip=0;
end

if ip == 1
    subplot(ia,ib,1)
    [Ntil] = select('Ntil',endo_names,steady_state);
    netwth=100*Ntil_eta_gam/Ntil;
    plot(tt,netwth)
    title('net worth')
    ylabel('% dev from ss')
    axis tight
    
    subplot(ia,ib,2)
    plot(tt,400*(bankspread_eta_gam))
    title('interest rate spread (APR)')
    axis tight
    
    [dtil] = select('dtil',endo_names,steady_state);
    leverage=(Ntil+dtil)/Ntil;
    subplot(ia,ib,3)
    plot(tt,leverage_eta_gam+leverage,tt,ones(length(tt))*leverage)
    title('bank leverage')
    ylabel('level')
    axis tight
    
    [vzx] = select('vz',endo_names,steady_state);
    subplot(ia,ib,4)
    plot(tt,vz_eta_gam+vzx,tt,ones(length(tt),1)*vzx)
    title('cash constraint multiplier')
    ylabel('level')
    axis tight
end

if ip ~= 0
    [abar] = select('abar_p',param_names,params);
    [bbar] = select('bbar_p',param_names,params);
    [cross_std] = select('cross_std',endo_names,steady_state);
    [ex] = select('e',endo_names,steady_state);
end

[muup] = select('muup_p',param_names,params);
[pi_p] = select('pi_p',param_names,params);
[lambdaf] = select('lambdaf_p',param_names,params);
[wtilde] = select('wtilde',endo_names,steady_state);
[Re] = select('Re',endo_names,steady_state);
[q] = select('q',endo_names,steady_state);
[rk] = select('rk',endo_names,steady_state);
[kbar] = select('kbar',endo_names,steady_state);
[dtil] = select('dtil',endo_names,steady_state);
[hx] = select('h',endo_names,steady_state);
[cx] = select('c',endo_names,steady_state);
[ix] = select('i',endo_names,steady_state);
[gx] = select('g',endo_names,steady_state);
gdp=100*(c_eta_gam+i_eta_gam/muup+g_eta_gam)/(cx+ix/muup+gx);

subplot(ia,ib,5)
plot(tt,gdp)
title('gdp')
ylabel('% dev from ss')
axis tight

subplot(ia,ib,6)
plot(tt,100*c_eta_gam/cx)
title('consumption')
ylabel('% dev from ss')
axis tight

subplot(ia,ib,7)
plot(tt,100*i_eta_gam/ix)
title('investment')
ylabel('% dev from ss')
axis tight

subplot(ia,ib,8)
plot(tt,400*(pi_eta_gam+pi_p-1),tt,ones(length(tt),1)*400*(pi_p-1))
title('inflation (APR)')
if min(pi_eta_gam) > 0
    axis([tt(1) tt(end) 400*(pi_p-1)*.98 max(400*(pi_eta_gam+pi_p-1))*1.02]);
elseif max(pi_eta_gam) < 0
    axis([tt(1) tt(end) min(400*(pi_eta_gam+pi_p-1))*.98 400*(pi_p-1)*1.02]);
else
    axis tight
end

subplot(ia,ib,9)
plot(tt,400*(Re_eta_gam+Re),tt,ones(length(tt),1)*400*Re)
title('risk free rate (APR)')
ylabel('level')
axis tight

if ip == 1
    subplot(ia,ib,10)
    plot(tt,100*kshock_eta_gam)
    title('kshock (percent)')
    axis tight
    
    subplot(ia,ib,11)
    plot(tt,bbar*e_eta_gam+abar+bbar*ex,tt,ones(length(tt),1)*(abar+bbar*ex))
    title('prob of success')
    ylabel('level')
    axis tight
    
    ij=2:length(tt);
    subplot(ia,ib,17)
    plot(tt(ij),cross_std_eta_gam(ij)+cross_std,tt(ij),ones(length((ij)),1)*cross_std)
    title('cross-section std dev, bank return on equity')
    ylabel('quarterly, level')
    axis tight    
end

subplot(ia,ib,12)
plot(tt,100*s_eta_gam*lambdaf)
title('marginal cost')
ylabel('% dev from ss')
axis tight

subplot(ia,ib,13)
plot(tt,100*wtilde_eta_gam/wtilde)
title('real wage')
ylabel('% dev from ss')
axis tight

subplot(ia,ib,14)
plot(tt,100*rk_eta_gam/rk)
title('capital rental rate')
ylabel('% dev from ss')
axis tight

subplot(ia,ib,15)
plot(tt,100*h_eta_gam/hx)
title('employment')
ylabel('% dev from ss')
axis tight

subplot(ia,ib,16)
plot(tt,100*kbar_eta_gam/kbar)
title('capital stock')
ylabel('% dev from ss')
axis tight

subplot(ia,ib,18)
plot(tt,100*q_eta_gam/q)
title('real price price of capital')
ylabel('% dev from ss')
axis tight

subplot(ia,ib,19)
plot(tt,100*Rk_eta_gam)
title('return on capital')
ylabel('% points dev from ss')
axis tight

subplot(ia,ib,20)
plot(tt,100*Rdg_eta_gam)
title('Rdg')
ylabel('% points dev from ss')
axis tight

subplot(ia,ib,21)
plot(tt,100*dtil_eta_gam/dtil)
title('deposits')
ylabel('% points dev from ss')
axis tight

subplot(ia,ib,22)
plot(tt,100*(Ntil_eta_gam+dtil_eta_gam)/(Ntil+dtil))
title('total bank assets')
ylabel('% points dev from ss')
axis tight