function plott_manuscript(leverage_eta_gam,dtil_eta_gam,cross_std_eta_gam,e_eta_gam,Re_eta_gam,Ntil_eta_gam,bankspread_eta_gam,gam_eta_gam, ...
    c_eta_gam,i_eta_gam,g_eta_gam,pi_eta_gam,endo_names,steady_state,param_names,params)

tt=1:length(gam_eta_gam);
ia=3;
ib=4;

[abar] = select('abar_p',param_names,params);
[bbar] = select('bbar_p',param_names,params);
[cross_std] = select('cross_std',endo_names,steady_state);
[ex] = select('e',endo_names,steady_state);

[muup] = select('muup_p',param_names,params);
[pi_p] = select('pi_p',param_names,params);
[lambdaf] = select('lambdaf_p',param_names,params);
[wtilde] = select('wtilde',endo_names,steady_state);
[Re] = select('Re',endo_names,steady_state);
[q] = select('q',endo_names,steady_state);
[rk] = select('rk',endo_names,steady_state);
[kbar] = select('kbar',endo_names,steady_state);
[dtil] = select('dtil',endo_names,steady_state);
[Ntil] = select('Ntil',endo_names,steady_state);
leverage=(Ntil+dtil)/Ntil;
[hx] = select('h',endo_names,steady_state);
[cx] = select('c',endo_names,steady_state);
[ix] = select('i',endo_names,steady_state);
[gx] = select('g',endo_names,steady_state);
gdp=100*(c_eta_gam+i_eta_gam/muup+g_eta_gam)/(cx+ix/muup+gx);


subplot(ia,ib,1)
plot(tt,gdp)
title('GDP','FontSize',18)
ylabel('% dev from ss')
axis tight

subplot(ia,ib,2)
plot(tt,100*c_eta_gam/cx)
title('Consumption','FontSize',18)
ylabel('% dev from ss')
axis tight

subplot(ia,ib,3)
plot(tt,100*i_eta_gam/ix)
title('Investment','FontSize',18)
ylabel('% dev from ss')
axis tight

subplot(ia,ib,4)
plot(tt,400*(pi_eta_gam+pi_p-1),tt,ones(length(tt),1)*400*(pi_p-1))
title('Inflation (APR)','FontSize',18)
if min(pi_eta_gam) > 0
    axis([tt(1) tt(end) 400*(pi_p-1)*.98 max(400*(pi_eta_gam+pi_p-1))*1.02]);
elseif max(pi_eta_gam) < 0
    axis([tt(1) tt(end) min(400*(pi_eta_gam+pi_p-1))*.98 400*(pi_p-1)*1.02]);
else
    axis tight
end

subplot(ia,ib,5)
plot(tt,400*(Re_eta_gam+Re),tt,ones(length(tt),1)*400*Re)
title('Risk free rate (APR)','FontSize',18)
ylabel('level')
axis tight

subplot(ia,ib,6)
plot(tt,400*(bankspread_eta_gam))
title('Interest rate spread (APR)','FontSize',18)
axis tight

subplot(ia,ib,7)
plot(tt,bbar*e_eta_gam+abar+bbar*ex,tt,ones(length(tt),1)*(abar+bbar*ex))
title('Prob of success','FontSize',18)
ylabel('level')
axis tight

ij=2:length(tt);
subplot(ia,ib,8)
plot(tt(ij),cross_std_eta_gam(ij)+cross_std,tt(ij),ones(length((ij)),1)*cross_std)
ss=[{'Cross-section std dev,'}
    {'Bank return on equity'}];
title(ss,'FontSize',18)
ylabel('quarterly, level')
if min(cross_std_eta_gam(ij)+cross_std) >= cross_std
    axis([tt(ij(1)) tt(ij(end)) cross_std*.99 max(cross_std_eta_gam(ij)+cross_std)*1.01])
else
    axis tight
end
    


% subplot(ia,ib,9)
% plot(tt,100*dtil_eta_gam/dtil)
% title('Bank liabilities (d)')
% ylabel('% points dev from ss')
% axis tight

subplot(ia,ib,10)
plot(tt,leverage_eta_gam+leverage,tt,ones(length(tt),1)*leverage)
title('Leverage (N+d)/N','FontSize',18)
ylabel('level')
if min(leverage_eta_gam+leverage) >= leverage
    axis([tt(1) tt(end) leverage*.99 max(leverage_eta_gam+leverage)*1.01])
else
    axis tight
end


subplot(ia,ib,9)
plot(tt,100*Ntil_eta_gam/Ntil)
title('Bank net worth (N)','FontSize',18)
ylabel('% points dev from ss')
axis tight