fid=fopen('steady.tex','w');

fprintf(fid,'\\documentclass{article}\n');
fprintf(fid,'\\newtheorem{theorem}{Theorem}\n');
fprintf(fid,'\\newtheorem{acknowledgement}[theorem]{Acknowledgement}\n');
fprintf(fid,'\\newtheorem{algorithm}[theorem]{Algorithm}\n');
fprintf(fid,'\\newtheorem{axiom}[theorem]{Axiom}\n');
fprintf(fid,'\\newtheorem{case}[theorem]{Case}\n');
fprintf(fid,'\\newtheorem{claim}[theorem]{Claim}\n');
fprintf(fid,'\\newtheorem{conclusion}[theorem]{Conclusion}\n');
fprintf(fid,'\\newtheorem{condition}[theorem]{Condition}\n');
fprintf(fid,'\\newtheorem{conjecture}[theorem]{Conjecture}\n');
fprintf(fid,'\\newtheorem{corollary}[theorem]{Corollary}\n');
fprintf(fid,'\\newtheorem{criterion}[theorem]{Criterion}\n');
fprintf(fid,'\\newtheorem{definition}[theorem]{Definition}\n');
fprintf(fid,'\\newtheorem{example}[theorem]{Example}\n');
fprintf(fid,'\\newtheorem{exercise}[theorem]{Exercise}\n');
fprintf(fid,'\\newtheorem{lemma}[theorem]{Lemma}\n');
fprintf(fid,'\\newtheorem{notation}[theorem]{Notation}\n');
fprintf(fid,'\\newtheorem{problem}[theorem]{Problem}\n');
fprintf(fid,'\\newtheorem{proposition}[theorem]{Proposition}\n');
fprintf(fid,'\\newtheorem{remark}[theorem]{Remark}\n');
fprintf(fid,'\\newtheorem{solution}[theorem]{Solution}\n');
fprintf(fid,'\\newtheorem{summary}[theorem]{Summary}\n');
fprintf(fid,'\\newenvironment{proof}[1][Proof]{\\noindent\\textbf{#1.} }{\\ \\rule{0.5em}{0.5em}}\n');
fprintf(fid,'\\input{tcilatex}\n');
fprintf(fid,'\\begin{document}\n');

fprintf(fid,'\\[ \n');
fprintf(fid,'\\begin{tabular}{|c|c|c|} \\hline \n');
fprintf(fid,'\\multicolumn{3}{|c|}{Table 1: Baseline Model Parameter Values} \\\\ \\hline \n');
fprintf(fid,'Meaning & Name & Value \\\\ \\hline \n');
fprintf(fid,'\\multicolumn{3}{|c|}{Panel A: financial parameters} \\\\ \\hline \n');
fprintf(fid,'\\multicolumn{1}{|l|}{return parameter, bad entrepreneur} & \\multicolumn{1}{|l|}{$b$} &  \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',bstar_p);
fprintf(fid,'\\multicolumn{1}{|l|}{return parameter, good entrepreneur} & \\multicolumn{1}{|l|}{$g$} &  \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',gstar_p);
fprintf(fid,'\\multicolumn{1}{|l|}{constant, effort function} & \\multicolumn{1}{|l|}{$\\bar{a}$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',abar_p);
fprintf(fid,'\\multicolumn{1}{|l|}{slope, effort function} & \\multicolumn{1}{|l|}{$\\bar{b}$}& \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',bbar_p);
fprintf(fid,'\\multicolumn{1}{|l|}{lump-sum transfer from households to bankers} & \\multicolumn{1}{|l|}{$\\tilde{T}$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',Ttil_p);
fprintf(fid,'\\multicolumn{1}{|l|}{fraction of banker net worth that stays with bankers} & \\multicolumn{1}{|l|}{$\\gamma $} &  \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',gam_p);

fprintf(fid,'\\multicolumn{3}{|c|}{Panel B: Parameters that do not affect steady state} \\\\ \\hline \n');
fprintf(fid,'\\multicolumn{1}{|l|}{steady state inflation (APR)} & \\multicolumn{1}{|l|}{$400(\\pi-1) $}& \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',400*(pi_p-1));
fprintf(fid,'\\multicolumn{1}{|l|}{Taylor rule weight on inflation} & \\multicolumn{1}{|l|}{ $\\alpha _{\\pi }$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',aptil_p);
fprintf(fid,'\\multicolumn{1}{|l|}{Taylor rule weight on output growth} & \\multicolumn{1}{|l|}{$\\alpha _{\\Delta y}$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',adytil_p);
fprintf(fid,'\\multicolumn{1}{|l|}{smoothing parameter in Taylor rule} & \\multicolumn{1}{|l|}{$\\rho _{p}$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',rhotil_p);
fprintf(fid,'\\multicolumn{1}{|l|}{curvature on investment adjustment costs} & \\multicolumn{1}{|l|}{$S^{\\prime \\prime }$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',Sdoupr_p);
fprintf(fid,'\\multicolumn{1}{|l|}{Calvo sticky price parameter} & \\multicolumn{1}{|l|}{$ \\xi _{p}$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',xip_p);
fprintf(fid,'\\multicolumn{1}{|l|}{Calvo sticky wage parameter} & \\multicolumn{1}{|l|}{$ \\xi _{w}$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',xiw_p);

fprintf(fid,'\\multicolumn{3}{|c|}{Panel C: Nonfinancial parameters} \\\\ \\hline \n');
fprintf(fid,'\\multicolumn{1}{|l|}{steady state gdp growth (APR)} & \\multicolumn{1}{|l|}{$\\mu_{z^{\\ast }}$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',400*(muzstar_p-1));
fprintf(fid,'\\multicolumn{1}{|l|}{steady state rate of decline in investment good price (APR)}& \\multicolumn{1}{|l|}{$\\Upsilon $} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',400*(upsil_p-1));
fprintf(fid,'\\multicolumn{1}{|l|}{capital depreciation rate} & \\multicolumn{1}{|l|}{$\\delta $} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',delta_p);
fprintf(fid,'\\multicolumn{1}{|l|}{production fixed cost} & \\multicolumn{1}{|l|}{$\\Phi $}& \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',phi_p);
fprintf(fid,'\\multicolumn{1}{|l|}{capital share} & \\multicolumn{1}{|l|}{$\\alpha $} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',alpha_p);
fprintf(fid,'\\multicolumn{1}{|l|}{steady state markup, intermediate good producers} & \\multicolumn{1}{|l|}{$\\lambda _{f}$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',lambdaf_p);
fprintf(fid,'\\multicolumn{1}{|l|}{habit parameter} & \\multicolumn{1}{|l|}{$b_{u}$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',b_p);
fprintf(fid,'\\multicolumn{1}{|l|}{household discount rate} & \\multicolumn{1}{|l|}{$100(\\beta^{-4}-1)$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',100*(beta_p^(-4)-1));
fprintf(fid,'\\multicolumn{1}{|l|}{steady state markup, workers} & \\multicolumn{1}{|l|}{$ \\lambda _{w}$} &\\multicolumn{1}{|l|}{ %5.2f} \\\\ \\hline \n',lambdaw_p);
fprintf(fid,'\\multicolumn{1}{|l|}{Frisch labor supply elasticity} & \\multicolumn{1}{|l|}{$ 1/\\sigma _{L}$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',1/sigmaL_p);
fprintf(fid,'\\multicolumn{1}{|l|}{weight on labor disutility} & \\multicolumn{1}{|l|}{$\\psi _{L}$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',psiL_p);
fprintf(fid,'\\multicolumn{1}{|l|}{steady state scaled government spending} & \\multicolumn{1}{|l|}{$\\tilde{g}$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',g);
fprintf(fid,'\\end{tabular} \n');
fprintf(fid,'\\] \n');

fprintf(fid,'\\[ \n');
fprintf(fid,'\\hspace*{-3.cm}\n');
fprintf(fid,'\\begin{tabular}{|c|c|c|} \\hline \n');
fprintf(fid,'\\multicolumn{3}{|c|}{Table 2: Steady state calibration targets for baseline model} \\\\ \\hline \n');
fprintf(fid,'Variable meaning & variable name & magnitude \\\\ \\hline \n');
fprintf(fid,'\\multicolumn{1}{|l|}{Cross-sectional standard deviation of quarterly non-financial firm equity returns} & \\multicolumn{1}{|l|}{$s^{b}$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',sdb_cb);
fprintf(fid,'\\multicolumn{1}{|l|}{Fnancial firm interest rate spreads (APR)} & \\multicolumn{1}{|l|}{$400\\left( R_{g}^{d}-R\\right) $} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',400*spread_cb);
fprintf(fid,'\\multicolumn{1}{|l|}{Financial firm leverage} & \\multicolumn{1}{|l|}{$L$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',LL_constr(1));
fprintf(fid,'\\multicolumn{1}{|l|}{Allocative efficiency of the banking system} & \\multicolumn{1}{|l|}{$p\\left( e\\right) e^{g}+\\left( 1-p\\left( e\\right) \\right) e^{b}$} & \\multicolumn{1}{|l|}{1} \\\\ \\hline \n');
fprintf(fid,'\\multicolumn{1}{|l|}{Profits of intermediate good producers (controled by fixed cost, $\\Phi $)} & \\multicolumn{1}{|l|}{} & \\multicolumn{1}{|l|}{0} \\\\ \\hline \n');
fprintf(fid,'\\multicolumn{1}{|l|}{Government consumption relative to GDP (controlled by $ \\tilde{g}$)} & \\multicolumn{1}{|l|}{} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',etag_p);
fprintf(fid,'\\multicolumn{1}{|l|}{Growth rate of per capita GDP (APR)} & \\multicolumn{1}{|l|}{$400(\\mu_{z}^{\\ast}-1)$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',400*(muzstar_p-1));
fprintf(fid,'\\multicolumn{1}{|l|}{Rate of decline in real price of capital (APR)} & \\multicolumn{1}{|l|}{$400(\\Upsilon-1)$} & \\multicolumn{1}{|l|}{%5.2f} \\\\ \\hline \n',400*(upsil_p-1));
fprintf(fid,'\\end{tabular} \n');
fprintf(fid,'\\] \n');

fprintf(fid,'\\[ \n');
fprintf(fid,'\\hspace*{-2.cm}\n');
fprintf(fid,'\\begin{tabular}{|l|l|l|l|l|l|} \\hline\n');
fprintf(fid,'\\multicolumn{6}{|c|}{Table 3: Steady State Properties of the Model}\\\\ \\hline\n');
fprintf(fid,'Variable meaning&Variable name  &\\multicolumn{2}{|c|}{Unobserved Effort}&\\multicolumn{2}{|c|}{Observed Effort} \\\\ \\hline \n') ;
fprintf(fid,' & &\\multicolumn{2}{|c|}{Leverage Restriction}&\\multicolumn{2}{|c|}{Leverage Restriction} \\\\ \\hline \n') ;
fprintf(fid,'\\multicolumn{1}{|l|}{} & \\multicolumn{1}{|l|}{} & non-binding & binding& non-binding & binding \\\\ \\hline \n');
fprintf(fid,'Spread & $400(R^d_{g}-R)$ & \\multicolumn{1}{|c|}{%5.3f} & \\multicolumn{1}{|c|}{%5.3f}& \\multicolumn{1}{|c|}{NA}& \\multicolumn{1}{|c|}{NA} \\\\ \\hline \n',sspread(1:2)); 
fprintf(fid,'Multiplier on cash constraint &$v$ &\\multicolumn{1}{|c|}{%5.3f}  & \\multicolumn{1}{|c|}{%5.3f}& \\multicolumn{1}{|c|}{0}& \\multicolumn{1}{|c|}{0} \\\\ \\hline \n',vvz(1:2)); 
fprintf(fid,'scaled consumption& $c$ & \\multicolumn{1}{|c|}{%5.2f}  &\\multicolumn{1}{|c|}{%5.2f}&\\multicolumn{1}{|c|}{%5.2f}&\\multicolumn{1}{|c|}{%5.2f}  \\\\ \\hline \n',con);
fprintf(fid,'scaled GDP& $c+i+g$ & \\multicolumn{1}{|c|}{%5.2f}  &\\multicolumn{1}{|c|}{%5.2f}&\\multicolumn{1}{|c|}{%5.2f}&\\multicolumn{1}{|c|}{%5.2f}  \\\\ \\hline \n',con+inv+g);
fprintf(fid,'labor& $h$ & \\multicolumn{1}{|c|}{%5.2f} &\\multicolumn{1}{|c|}{%5.2f}&\\multicolumn{1}{|c|}{%5.2f}&\\multicolumn{1}{|c|}{%5.2f}  \\\\ \\hline \n',hh); 
fprintf(fid,'scaled capital stock& $k$ & \\multicolumn{1}{|c|}{%5.2f}  &\\multicolumn{1}{|c|}{%5.2f}&\\multicolumn{1}{|c|}{%5.2f}&\\multicolumn{1}{|c|}{%5.2f}  \\\\ \\hline \n',kkbar);
fprintf(fid,'capital output ratio& $k/(c+i+g)$ & \\multicolumn{1}{|c|}{%5.2f}  &\\multicolumn{1}{|c|}{%5.2f}&\\multicolumn{1}{|c|}{%5.2f}&\\multicolumn{1}{|c|}{%5.2f}  \\\\ \\hline \n',kkbar./gdp);
fprintf(fid,'bank assets& $N+d$ & \\multicolumn{1}{|c|}{%5.2f} &\\multicolumn{1}{|c|}{%5.2f} &\\multicolumn{1}{|c|}{%5.2f} &\\multicolumn{1}{|c|}{%5.2f}  \\\\ \\hline \n',aa); 
fprintf(fid,'bank net worth&$N$  &\\multicolumn{1}{|c|}{%5.2f}  & \\multicolumn{1}{|c|}{%5.2f}& \\multicolumn{1}{|c|}{%5.2f}& \\multicolumn{1}{|c|}{%5.2f} \\\\ \\hline \n',NN); 
fprintf(fid,'bank deposits& $d$ &\\multicolumn{1}{|c|}{%5.2f}  & \\multicolumn{1}{|c|}{%5.2f}& \\multicolumn{1}{|c|}{%5.2f}& \\multicolumn{1}{|c|}{%5.2f} \\\\ \\hline \n',DD); 
fprintf(fid,'bank leverage& $(N+d)/N$ &\\multicolumn{1}{|c|}{%5.2f}  & \\multicolumn{1}{|c|}{%5.2f}& \\multicolumn{1}{|c|}{%5.2f}& \\multicolumn{1}{|c|}{%5.2f} \\\\ \\hline \n',(NN+DD)./NN); 
fprintf(fid,'bank return on equity (APR)& $400\\left(\\frac{ \\left[ p\\left( e_{t}\\right) R_{t+1}^{g}+\\left( 1-p\\left(e_{t}\\right) \\right) R_{t+1}^{b}\\right] \\left( N_{t}+d_{t}\\right)-R_{t}d_{t} }{N_{t}} - 1\\right)$ &\\multicolumn{1}{|c|}{%5.2f}  & \\multicolumn{1}{|c|}{%5.2f} & \\multicolumn{1}{|c|}{%5.2f} & \\multicolumn{1}{|c|}{%5.2f} \\\\ \\hline \n',400*(ret-1)); 
fprintf(fid,'equity portion of bank return (APR)& $400( p\\left( e_{t}\\right) R_{t+1}^{g}+\\left( 1-p\\left( e_{t}\\right)\\right) R_{t+1}^{b}-1) $ & \\multicolumn{1}{|c|}{%5.2f} & \\multicolumn{1}{|c|}{%5.2f}& \\multicolumn{1}{|c|}{%5.2f}& \\multicolumn{1}{|c|}{%5.2f} \\\\ \\hline \n',400*(nret-1)); 
fprintf(fid,'deposit portion of bank return (APR)& $400\\left[ p\\left( e_{t}\\right) R_{t+1}^{g}+\\left( 1-p\\left( e_{t}\\right)\\right) R_{t+1}^{b}-R_{t}\\right] \\frac{d_{t}}{N_{t}}$ & \\multicolumn{1}{|c|}{%5.2f} & \\multicolumn{1}{|c|}{%5.2f}& \\multicolumn{1}{|c|}{%5.2f}& \\multicolumn{1}{|c|}{%5.2f} \\\\ \\hline \n',400*dret); 
fprintf(fid,'benchmark return on capital (APR)& $400(R^k-1)$ &\\multicolumn{1}{|c|}{%5.2f}  &\\multicolumn{1}{|c|}{%5.2f} &\\multicolumn{1}{|c|}{%5.2f} &\\multicolumn{1}{|c|}{%5.2f}  \\\\ \\hline \n',400*(RRk-1)); 
fprintf(fid,'bank efficiency& $p(e)e^g+(1-p(e))e^b$ &\\multicolumn{1}{|c|}{%5.3f}  &\\multicolumn{1}{|c|}{%5.3f}&\\multicolumn{1}{|c|}{%5.3f}&\\multicolumn{1}{|c|}{%5.3f}  \\\\ \\hline \n',be); 
fprintf(fid,'fraction of firms with good balance sheets& $p(e)$ &\\multicolumn{1}{|c|}{%5.3f}  &\\multicolumn{1}{|c|}{%5.3f} &\\multicolumn{1}{|c|}{%5.3f} &\\multicolumn{1}{|c|}{%5.3f}  \\\\ \\hline \n',ppe); 
fprintf(fid,'Benefit of leverage (in $c$ units) & $100\\chi $ & \\multicolumn{1}{|c|}{NA} & \\multicolumn{1}{|c|}{%5.2f} & \\multicolumn{1}{|c|}{NA} & \\multicolumn{1}{|c|}{%5.2f}  \\\\ \\hline \n',utility(2),utility(4));
fprintf(fid,'Benefit of making effort observable (in $c$ units) & $100\\chi $ & \\multicolumn{1}{|c|}{NA} & \\multicolumn{1}{|c|}{NA} & \\multicolumn{1}{|c|}{%5.2f} & \\multicolumn{1}{|c|}{%5.2f}  \\\\ \\hline \n',100*(exp(ut(3)-ut(1))-1),100*(exp(ut(4)-ut(2))-1));
fprintf(fid,'\\multicolumn{6}{|l|}{\\small Note: (i) NA, not applicable, indicates that the number is not defined. (ii) All calculations based on a single set of parameter values, reported in Table 1.} \\\\ \\hline \n');
fprintf(fid,'\\end{tabular}%%\n');
fprintf(fid,'\\] \n');

get_stats_data

% [ixH,ixH_adj,mrecessionH,mrecessionH_adj,mboomH,mboomH_adj] = statistics(I1,I2,dtH,daH,stock,recession);
% [ixPF,ixPF_adj,mrecessionPF,mrecessionPF_adj,mboomPF,mboomPF_adj] = statistics(I1,I2,dtPF,daPF,stock,recession);
% [ixBD,ixBD_adj,mrecessionBD,mrecessionBD_adj,mboomBD,mboomBD_adj] = statistics(I1,I2,dtBD,daBD,stock,recession);

fprintf(fid,'\\[ \n');
fprintf(fid,'\\begin{tabular}{|l|l|l|l|} \\hline \n');
fprintf(fid,'\\multicolumn{4}{|c|}{Table 4: Cyclical Behavior of Financial Firm Leverage Growth} \\\\ \\hline \n');
fprintf(fid,'& \\#of recessions in which mean growth \\TEXTsymbol{>} 0 & mean(recession) & mean(expansion) \\\\ \\hline\\hline \n');
fprintf(fid,'Holding Companies (L.128) & %2i & %5.2f & %5.2f \\\\ \\hline \n',ixH,mrecessionH,mboomH);
fprintf(fid,'(adjusted) &  %2i & %5.2f & %5.2f  \\\\ \\hline \n',ixH_adj,mrecessionH_adj,mboomH_adj);
fprintf(fid,'Private Depository Institutions (L.109) &  %2i & %5.2f & %5.2f  \\\\ \\hline \n',ixPF,mrecessionPF,mboomPF);
fprintf(fid,'(adjusted) &  %2i & %5.2f & %5.2f  \\\\ \\hline \n',ixPF_adj,mrecessionPF_adj,mboomPF_adj);
fprintf(fid,'Security Brokers and Dealers (L.127) &  %2i & %5.2f & %5.2f  \\\\ \\hline \n',ixBD,mrecessionBD,mboomBD);
fprintf(fid,'(adjusted) &  %2i & %5.2f & %5.2f  \\\\ \\hline\\hline \n',ixBD_adj,mrecessionBD_adj,mboomBD_adj);
fprintf(fid,'\\multicolumn{4}{|l|}{\\small Note: the entries in the table correspond to the year-over-year excess of liability growth over asset growth for different financial} \\\\  \n');
fprintf(fid,'\\multicolumn{4}{|l|}{\\small institutions. In the entries labeled ''adjusted'', asset growth has been replaced by the growth rate of the S\\&P500.} \\\\ \\hline \n');
fprintf(fid,'\\end{tabular}%%\n');
fprintf(fid,'\\] \n');


fprintf(fid,'\\end{document}\n');
fclose(fid);


